package messenger

import "context"

type Message struct {
	ChatID string
	UserID string
	Text   string
}

type IMessenger interface {
	GetMessage(ctx context.Context) (*Message, error)
	SendMessage(ctx context.Context, msg *Message) error
}
